require 'spec_helper'
require 'capybara/rspec'
require 'eyes_selenium_ruby/capybara'
require 'test_app'

Capybara.app = TestApp

describe Applitools::Eyes do
  init_eyes
  describe 'capybara' do
    before do
      eyes.agent_connector.stub(:stop_session).and_return(double("TestResults", mismatches: 0, missing: 0))
      eyes.agent_connector.stub(:match_window).and_return(true)
      @navigation = double("navigation")
      @navigation.stub(:to)
    end
    it 'should invoke eyes driver when calling capybara visit inside of eyes.open' do
      Capybara.current_driver.should == :rack_test

      eyes.driver.should_receive(:navigate).and_return(@navigation)
      eyes.test(app_name: 'test', test_name: 'test') do |eyes|
        Capybara.current_driver.should == :selenium
        eyes.driver.should == Capybara.current_session.driver.instance_variable_get(:@browser)
        Capybara.current_session.visit '/'
        eyes.check_window('test')
      end
      Capybara.current_driver.should == :rack_test
    end
    it 'should not invoke eyes driver when calling capybara visit outside of eyes.open' do
      eyes.driver.should_not_receive(:navigate)
      Capybara.current_session.visit '/'
    end
  end
end
